using System;

namespace Sasa.QualityTools.DrFx.Tests.Violation.CSharp.Microsoft.Design
{
    public sealed class Rule1000<T>
    {
        private Rule1000()
        {
        }

        // このメソッドは CA1000 に違反しています。
        public static T Convert(object value)
        {
            return (T)value;
        }
    }
}
